function[out]=ricker2(th,s,r);
%%%Function used for computing the maximum probability density (unnormalized) 
%of a joint posterior distributions of 'log(alpha)' and 'beta'.

%%%Function begins from here:
%Arranging data.
%'s' is stock size
%'r' is recruitment
x=1/max(s)*s;
lx=length(x);
y=log(r./s);

%Changing notations in the Ricker model.
%'loga' is 'log(alpha)'.
%'b' is 'beta'.
loga=th(1);
b=th(2);

%Joint posterior distribution of 'log(alpha)' and 'beta'.
%'Post' is an unnormalized joint posterior distribution of 'log(alpha)'
%and 'beta'.
ss=sum((y-loga+b*x).^2);
al=lx/2;
be=1/2*ss;
Post=be^(-al);
out=Post;